Package com.trilead.ssh2.packets

# Class PacketUserauthInfoRequest

java.lang.Object
com.trilead.ssh2.packets.PacketUserauthInfoRequest

public class PacketUserauthInfoRequest extends Object
PacketUserauthInfoRequest.

## Constructor Summary

Constructors
Constructor
Description
`PacketUserauthInfoRequest(byte[] payload, int off, int len)`

## Method Summary

Modifier and Type
Method
Description
`boolean[]`
`getEcho()`
`String`
`getInstruction()`
`String`
`getLanguageTag()`
`String`
`getName()`
`int`
`getNumPrompts()`
`String[]`
`getPrompt()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PacketUserauthInfoRequest

public PacketUserauthInfoRequest(byte[] payload, int off, int len) throws IOException

Throws:
  `IOException`

## Method Details

### getEcho

public boolean[] getEcho()

### getInstruction

public String getInstruction()

### getLanguageTag

public String getLanguageTag()

### getName

public String getName()

### getNumPrompts

public int getNumPrompts()

### getPrompt

public String[] getPrompt()